Difficulty:  Fixed in Releases:  
Pull request:    

Description

I've just upgraded to Foreman 1.0, and I can't save changes/create new provisioning templates. Exact steps for both cases:

For editing a template:

1. Go to Provisioning Templates, edit any template

2. Add/change anything

3. Click Submit

4. Message says template saved

5. Open up template, change isn't there

However, it does work if you make your change, click on Preview, then click on Submit.

For creating a template:

1. Go to Provisioning Templates, click on New Template

2. Enter name, template type, type something in Template editor

3. Click Save

4. Message says template saved, but the template does not appear in the list

This occurs for both Firefox and Chrome (latest versions of both).

Associated revisions

Revision d8fe9767 - 07/26/2012 08:46 AM - Ohad Levy

fixes #1778 - Provisioning Templates editor does not always save

Revision 924c09cd - 07/26/2012 08:46 AM - Ohad Levy

fixes #1778 - Provisioning Templates editor does not always save

Revision 2ac3e5ba - 07/31/2012 09:12 AM - Amos Benari

fixes #1778 - Provisioning Templates editor does not always save

Revision 8053b71b - 07/31/2012 09:12 AM - Amos Benari

fixes #1778 - Provisioning Templates editor does not always save

History

#1 - 07/26/2012 08:47 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Ohad Levy

- Target version set to 1.1

#2 - 07/26/2012 08:47 AM - Ohad Levy

04/18/2024 1/2



- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 924c09cd03b76e32c1175ff0f9f67b786a5c2e46.

#3 - 08/09/2012 09:52 AM - Ohad Levy

- Target version changed from 1.1 to 1.0.1
